<div id="body" class="container-fluid">
  <h6>Currency File Upload</h6>
  <div class="form-row text-center">
    <div class="custom-file form-group form-group-sm col-18">
      <app-input-file-template (result)="onFileLoad($event)"></app-input-file-template>
      <label class="custom-file-label">{{ filename || "Choose File" }}</label>
    </div>
    <div class="form-group form-group-sm col-3">
      <button type="button" class="btn btn-sm btn-primary btn-block" (click)="uploadFile()">
        Upload
      </button>
    </div>
  </div>
  <dx-data-grid #grid id="grid" [dataSource]="items" keyExpr="srcCurFileId" [showBorders]="true"
                [wordWrapEnabled]="true" [rowAlternationEnabled]="true" [columnAutoWidth]="true"
                (onContentReady)="grid.instance.searchByText(grid.searchPanel.text.trim())">
    <dxo-sorting mode="multiple"></dxo-sorting>
    <dxo-paging [pageSize]="50"></dxo-paging>
    <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
    <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
    <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
    <dxi-column dataField="fileNme" cellTemplate="cellTemplate" caption="File Name" dataType="string"></dxi-column>
    <dxi-column dataField="createdByName" caption="Uploaded By" dataType="string"></dxi-column>
    <dxi-column dataField="creatDt" cellTemplate="date" [width]="150" caption="Upload Date" dataType="string"></dxi-column>
    <dxi-column dataField="prcsdDt" cellTemplate="date" [width]="150" caption="Processed Date" dataType="Date"></dxi-column>

    <div *dxTemplate="let cell of 'date'">
      <span>{{cell.text | date:'MM/dd/yyyy hh:mm a'}}</span>
    </div>
    <div *dxTemplate="let cell of 'cellTemplate'">
      <a class="text-secondary text-hover-primary" href="#" (click)="download(cell.data.srcCurFileId, cell.data.fileNme); false"><u>{{cell.data.fileNme}}</u></a>
    </div>
  </dx-data-grid>
</div>
